Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.event
Interface ClassListener

All Superinterfaces:
  edu.stanford.smi.protege.event.ClsListener, EventListener, ProtegeClsListener

All Known Implementing Classes:
  ClassAdapter

    public interface ClassListener

extends ProtegeClsListener

Author:
  Holger Knublauch

Method Summary
`void` | `addedToUnionDomainOf(RDFSClass cls, RDFProperty property)` Called after a class has been added to the union domain of a property.
`void` | `instanceAdded(RDFSClass cls, RDFResource instance)` Called after a (new) resource was made an instance of a class.
`void` | `instanceRemoved(RDFSClass cls, RDFResource instance)` Called after a resource was removed from the instances of a class.
`void` | `removedFromUnionDomainOf(RDFSClass cls, RDFProperty property)` Called after a class has been removed from the union domain of a property.
`void` | `subclassAdded(RDFSClass cls, RDFSClass subclass)` Called after a class has been added as a subclass to another class.
`void` | `subclassRemoved(RDFSClass cls, RDFSClass subclass)` Called after a class has been removed from the subclasses of another class.
`void` | `superclassAdded(RDFSClass cls, RDFSClass superclass)` Called after a class has been added as a superclass to another class.
`void` | `superclassRemoved(RDFSClass cls, RDFSClass superclass)` Called after a class has been removed from the superclasses of another class.

Methods inherited from interface edu.stanford.smi.protegex.owl.model.event.ProtegeClsListener
`directInstanceAdded, directInstanceRemoved, directSubclassAdded, directSubclassMoved, directSubclassRemoved, directSuperclassAdded, directSuperclassRemoved, templateFacetAdded, templateFacetRemoved, templateFacetValueChanged, templateSlotAdded, templateSlotRemoved, templateSlotValueChanged`

Method Detail

### addedToUnionDomainOf

    void addedToUnionDomainOf(RDFSClass cls,
                              RDFProperty property)

  Called after a class has been added to the union domain of a property.

  Parameters:
    `cls` - the class that was added
    `property` - the property that has changed its domain

### instanceAdded

    void instanceAdded(RDFSClass cls,
                       RDFResource instance)

  Called after a (new) resource was made an instance of a class.

  Parameters:
    `cls` - the RDFSClass of the instance
    `instance` - the instance that was added

### instanceRemoved

    void instanceRemoved(RDFSClass cls,
                         RDFResource instance)

  Called after a resource was removed from the instances of a class.

  Parameters:
    `cls` - the RDFSClass of the instance
    `instance` - the instance that was removed

### removedFromUnionDomainOf

    void removedFromUnionDomainOf(RDFSClass cls,
                                  RDFProperty property)

  Called after a class has been removed from the union domain of a property.

  Parameters:
    `cls` - the class that was removed
    `property` - the property that has changed its domain

### subclassAdded

    void subclassAdded(RDFSClass cls,
                       RDFSClass subclass)

  Called after a class has been added as a subclass to another class.

  Parameters:
    `cls` - the class that was changed
    `subclass` - the new subclass of cls

### subclassRemoved

    void subclassRemoved(RDFSClass cls,
                         RDFSClass subclass)

  Called after a class has been removed from the subclasses of another class.

  Parameters:
    `cls` - the class that was changed
    `subclass` - the former subclass of cls

### superclassAdded

    void superclassAdded(RDFSClass cls,
                         RDFSClass superclass)

  Called after a class has been added as a superclass to another class.

  Parameters:
    `cls` - the class that was changed
    `superclass` - the new superclass of cls

### superclassRemoved

    void superclassRemoved(RDFSClass cls,
                           RDFSClass superclass)

  Called after a class has been removed from the superclasses of another class.

  Parameters:
    `cls` - the class that was changed
    `superclass` - the former superclass of cls

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.